//+------------------------------------------------------------------+
//|                                 _MinMaxForLongMidShotPeriods.mq4 |
//|                                                     |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright " "
#property link      "http://www.metaquotes.net"

extern int ShortPeriod=5;
extern int MidPeriod=9;
extern int LongPeriod=25;
extern color ColorHistoricalLine=Blue;
extern color ColorShortLines=Red;
extern color ColorMidLines=Orange;
extern color ColorLongLines=Green;

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int    counted_bars=IndicatorCounted();
//----

double ShortMin, ShortMax, MidMin, MidMax, LongMin, LongMax;
int HistoryBar;

	if(!ObjectSet("HystoricalBarForLongMidShortPeriods",OBJPROP_COLOR,ColorHistoricalLine))
	{
		ObjectCreate("HystoricalBarForLongMidShortPeriods",OBJ_VLINE,0,Time[0],Bid);
		ObjectSet("HystoricalBarForLongMidShortPeriods",OBJPROP_COLOR,ColorHistoricalLine);
		ObjectSet("HystoricalBarForLongMidShortPeriods",OBJPROP_WIDTH,2);
	}   
	
	int TimeHistBar=ObjectGet("HystoricalBarForLongMidShortPeriods",OBJPROP_TIME1);
	for(int j=0; j<=Bars; j++) if(Time[j]==TimeHistBar) {HistoryBar=j; break;}
	
	ShortMin=Low[Lowest(NULL,0,MODE_LOW,ShortPeriod,HistoryBar+1)];
	MidMin=Low[Lowest(NULL,0,MODE_LOW,MidPeriod,HistoryBar+1)];
	LongMin=Low[Lowest(NULL,0,MODE_LOW,LongPeriod,HistoryBar+1)];

	ShortMax=High[Highest(NULL,0,MODE_HIGH,ShortPeriod,HistoryBar+1)];
	MidMax=High[Highest(NULL,0,MODE_HIGH,MidPeriod,HistoryBar+1)];
	LongMax=High[Highest(NULL,0,MODE_HIGH,LongPeriod,HistoryBar+1)];
	
	if(!ObjectSet("MinShortPeriodLine",OBJPROP_PRICE1,ShortMin))
	{
		ObjectCreate("MinShortPeriodLine",OBJ_HLINE,0,Time[0],ShortMin);
		ObjectSet("MinShortPeriodLine",OBJPROP_COLOR,ColorShortLines);
		ObjectSet("MinShortPeriodLine",OBJPROP_WIDTH,2);
	}   
	if(!ObjectSet("MaxShortPeriodLine",OBJPROP_PRICE1,ShortMax))
	{
		ObjectCreate("MaxShortPeriodLine",OBJ_HLINE,0,Time[0],ShortMax);
		ObjectSet("MaxShortPeriodLine",OBJPROP_COLOR,ColorShortLines);
		ObjectSet("MaxShortPeriodLine",OBJPROP_WIDTH,2);
	}   
	if(!ObjectSet("ShortPeriodLine",OBJPROP_TIME1,Time[ShortPeriod+HistoryBar]))
	{
		ObjectCreate("ShortPeriodLine",OBJ_VLINE,0,Time[ShortPeriod+HistoryBar],ShortMax);
		ObjectSet("ShortPeriodLine",OBJPROP_COLOR,ColorShortLines);
		ObjectSet("ShortPeriodLine",OBJPROP_WIDTH,2);
	}   
	
	if(!ObjectSet("MinMidPeriodLine",OBJPROP_PRICE1,MidMin))
	{
		ObjectCreate("MinMidPeriodLine",OBJ_HLINE,0,Time[0],MidMin);
		ObjectSet("MinMidPeriodLine",OBJPROP_COLOR,ColorMidLines);
		ObjectSet("MinMidPeriodLine",OBJPROP_WIDTH,2);
	}   
	if(!ObjectSet("MaxMidPeriodLine",OBJPROP_PRICE1,MidMax))
	{
		ObjectCreate("MaxMidPeriodLine",OBJ_HLINE,0,Time[0],MidMax);
		ObjectSet("MaxMidPeriodLine",OBJPROP_COLOR,ColorMidLines);
		ObjectSet("MaxMidPeriodLine",OBJPROP_WIDTH,2);
	}   
	if(!ObjectSet("MidPeriodLine",OBJPROP_TIME1,Time[MidPeriod+HistoryBar]))
	{
		ObjectCreate("MidPeriodLine",OBJ_VLINE,0,Time[MidPeriod+HistoryBar],MidMax);
		ObjectSet("MidPeriodLine",OBJPROP_COLOR,ColorMidLines);
		ObjectSet("MidPeriodLine",OBJPROP_WIDTH,2);
	}   

	if(!ObjectSet("MinLongPeriodLine",OBJPROP_PRICE1,LongMin))
	{
		ObjectCreate("MinLongPeriodLine",OBJ_HLINE,0,Time[0],LongMin);
		ObjectSet("MinLongPeriodLine",OBJPROP_COLOR,ColorLongLines);
		ObjectSet("MinLongPeriodLine",OBJPROP_WIDTH,2);
	}   
	if(!ObjectSet("MaxLongPeriodLine",OBJPROP_PRICE1,LongMax))
	{
		ObjectCreate("MaxLongPeriodLine",OBJ_HLINE,0,Time[0],LongMax);
		ObjectSet("MaxLongPeriodLine",OBJPROP_COLOR,ColorLongLines);
		ObjectSet("MaxLongPeriodLine",OBJPROP_WIDTH,2);
	}   
	if(!ObjectSet("LongPeriodLine",OBJPROP_TIME1,Time[LongPeriod+HistoryBar]))
	{
		ObjectCreate("LongPeriodLine",OBJ_VLINE,0,Time[LongPeriod+HistoryBar],LongMax);
		ObjectSet("LongPeriodLine",OBJPROP_COLOR,ColorLongLines);
		ObjectSet("LongPeriodLine",OBJPROP_WIDTH,2);
	}   

//----
	return(0);
}
//+------------------------------------------------------------------+